<script type="text/javascript" src="%%GLOBAL_ShopPath%%/javascript/ajax.js"></script>
<script type="text/javascript">
	var ajax = new sack();
	var currentClientID=false;
	function getClientData(){ 
   var clientId = document.getElementById('FormField_%%GLOBAL_campocep%%').value.replace(/[^0-9]/g,'');

       if(clientId.length<=9 && clientId!=currentClientID){
			currentClientID = clientId
			ajax.requestFile = '%%GLOBAL_ShopPath%%/modificacoes/getClient.php?getClientId='+clientId;
			ajax.onCompletion = showClientData;
			ajax.runAJAX();		
		}	
	}
	function showClientData(){
	var formObj = document.forms['clientForm'];	
	eval(ajax.response);
	}

	
	function initFormEvents()
	{
		document.getElementById('FormField_%%GLOBAL_campocep%%').onblur = getClientData;
		document.getElementById('FormField_%%GLOBAL_campocpf%%').onblur = validar;

	}
	
	function validar() {

	var obj = document.getElementById('FormField_%%GLOBAL_campocpf%%');

	var s = (obj.value).replace(/\D/g,'');

	var tam=(s).length; // removendo os caracteres nao numericos
	if (!(tam==11 || tam==14)){ // validando o tamanho
		swal("'"+s+"' não é um CPF ou um CNPJ válido!" ); // tamanho invalido
		obj.value = '';
		return false;
	}
	

	if (tam==11 ){
		if (!validaCPF(s) || s=='11111111111' || s=='22222222222' || s=='33333333333' || s=='44444444444' || s=='55555555555' || s=='66666666666' || s=='77777777777' || s=='88888888888' || s=='99999999999' || s=='00000000000'){ // chama a funcao que valida o CPF
			swal("'"+s+"' não é um CPF válido!" ); // se quiser mostrar o erro
			obj.value = '';
			return false;
		}

		obj.value=maskCPF(s);	// se validou o CPF mascaramos corretamente
		return true;
	}
	
// se for CNPJ			
	if (tam==14){
		if(!validaCNPJ(s)){ // chama a funcao que valida o CNPJ
			swal("'"+s+"' não e um CNPJ válido!" ); // se quiser mostrar o erro
			obj.value = '';
			return false;			
		}
		
		obj.value=maskCNPJ(s);	// se validou o CNPJ mascaramos corretamente
		return true;
	}
}

function validaCPF(s) {
	var c = s.substr(0,9);
	var dv = s.substr(9,2);
	var d1 = 0;
	for (var i=0; i<9; i++) {
		d1 += c.charAt(i)*(10-i);
 	}
	if (d1 == 0) return false;
	d1 = 11 - (d1 % 11);
	if (d1 > 9) d1 = 0;
	if (dv.charAt(0) != d1){
		return false;
	}
	d1 *= 2;
	for (var i = 0; i < 9; i++)	{
 		d1 += c.charAt(i)*(11-i);
	}
	d1 = 11 - (d1 % 11);
	if (d1 > 9) d1 = 0;
	if (dv.charAt(1) != d1){
		return false;
	}
    return true;
}

function validaCNPJ(CNPJ) {
	var a = new Array();
	var b = new Number;
	var c = [6,5,4,3,2,9,8,7,6,5,4,3,2];
	for (i=0; i<12; i++){
		a[i] = CNPJ.charAt(i);
		b += a[i] * c[i+1];
	}
	if ((x = b % 11) < 2) { a[12] = 0 } else { a[12] = 11-x }
	b = 0;
	for (y=0; y<13; y++) {
		b += (a[y] * c[y]);
	}
	if ((x = b % 11) < 2) { a[13] = 0; } else { a[13] = 11-x; }
	if ((CNPJ.charAt(12) != a[12]) || (CNPJ.charAt(13) != a[13])){
		return false;
	}
	return true;
}

function soNums(e)
{
	if (document.all){var evt=event.keyCode;}
	else{var evt = e.charCode;}
	if (evt <20 || (evt >47 && evt<58)){return true;}
	return false;
}

//	funcao que mascara o CPF
function maskCPF(CPF){
	return CPF.substring(0,3)+"."+CPF.substring(3,6)+"."+CPF.substring(6,9)+"-"+CPF.substring(9,11);
}

//	funcao que mascara o CNPJ
function maskCNPJ(CNPJ){
	return CNPJ.substring(0,2)+"."+CNPJ.substring(2,5)+"."+CNPJ.substring(5,8)+"/"+CNPJ.substring(8,12)+"-"+CNPJ.substring(12,14);	
}

</script>